\label{chap:biblio}

\begin{thebibliography}{02}
\bibitem{bib:raja} Raja Vall\'ee-Rai and Laurie J. Hendren. Jimple: \emph{Simpliflying Java Bytecode for Analyses and Transformations}.
Sable Technical Report 1998-4, Sable Research group, McGill University, July 1998.
\bibitem{bib:pascal} Pascal's Email address: \verb|peugster@soxes.ch|
\bibitem{bib:staerk} Robert Staerk, Joachim Schmid, Egon Boerger: \emph{Java and the Java Virtual Machine}, Springer.
\bibitem{bib:jtrek} Compaq JTrek. \verb|http://www.digital.com/java/download/jtrek|
\bibitem{bib:joie} Geoff A. Cohen, Jeffrey S. Chase, and David L. Kaminsky. Automatic program transformation with JOIE. In \emph{Proceedings
of the USENIC 1998 Annual Technical Conference,} pages 167-178, Berkeley, USA, June 15-19 1998. USENIX Association.
\bibitem{bib:bit} Han Bok Lee and Jenjamin G. Zorn. A tool for Instrumentin Java Bytecodes. In \emph{The UNSENIX Symposium on Internet
Technologies and Systems,} pages 73-82, 1997.
\bibitem{bib:javaclass} JavaClass: \verb|http://www.inf.fu-berlin.de/dahm/JavaClass/|
\bibitem{bib:soot} Raja Vall\'ee-Rai, Laurie Hendren, Phong Co, Patrick Lam, Etienne Gagnon and Vijay Sundaresan: \emph{Soot - a Java
Bytecode Optimization Framework}, Sable Research Group, School of Computer Science, McGill University.
\bibitem{bib:jnuke} Artho, Cyrille: \emph{Overview Of JNuke}, Formal Methods Group, Computer Science Institute, ETH Zuerich.
\bibitem{bib:sun} Sun Microsystems Homepage: \verb|http://java.sun.com|
\bibitem{bib:rvm} IBM's Jikes: \verb|http://oss.software.ibm.com|
\bibitem{bib:kaffe} Sun Microsystems Homepage: \verb|http://www.kaffe.org/|
\bibitem{bib:jasmin} BCEL Homepage: \verb|http://bcel.sourceforge.net|
\bibitem{bib:path} Java PathFinder: \verb|http://ase.arc.nasa.gov/havelund/jpf.html|
\bibitem{bib:rivet} Rivet Homepage: \verb|http://sdg.lcs.mit.edu/rivet.html|
\bibitem{bib:bandera} Bandera: \verb|http://citeseer.nj.nec.com/corbett00bandera.html|
\bibitem{bib:threads} Sakamoto: \verb|http://citeseer.nj.nec.com/sakamoto00bytecode.html|
\bibitem{bib:cacao} Cacao: \verb|http://www.complang.tuwien.ac.at/java/cacao/|
\bibitem{bib:tvs} Toolset for formal verification: \verb|http://tvs.twi.tudelft.nl/index.html|
\bibitem{bib:tools} Listing of Java tools: \verb|http://www.cs.umd.edu/~pugh/java/tools.html|
\bibitem{bib:jvm} Tim Lindholm, Frank Yellin: \emph{The Java Virtual Machine Specification}, Addison Wesley.
\bibitem{bib:aho} Alfred V. Aho, Ravi Sethi, Jeffry D. Ullman: \emph{Compilerbau Teil 1/Teil 2}, Oldenbourg.
\bibitem{bib:sparc} Richard A. Paul: \emph{Sparc Architecture, Assembly Language Programming, \& C}, Prentice Hall.

\end{thebibliography}

